Skip to main content
GET
/
v3beta1
/
organizations
/
{org_id}
/
members
/
idp-users
List Organization IDP Group Users
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/members/idp-users \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "email": "<string>",
      "idp_role_assignments": [
        {
          "idp_group_name": "<string>",
          "role": {
            "role_id": "<string>",
            "role_name": "<string>"
          },
          "org_id": "<string>"
        }
      ],
      "name": "<string>",
      "user_id": "<string>"
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}
This endpoint lists users whose organization membership is derived from IDP group assignments, authenticated with an organization-scoped service user. To list users with direct role assignments, use the List organization users endpoint.

Permissions

Requires a service user with the ViewOrgMembership permission at the organization level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Query Parameters

after
string | null
first
integer
default:100
Required range: 1 <= x <= 200
email
string | null

Filter by exact email address

Response

Successful Response

items
IdpGroupUser · object[]
required
end_cursor
string | null

Cursor to fetch the next page, or None if this is the last page.

has_next_page
boolean
default:false

Whether there are more items available after this page.

total
integer | null

Optional total count (can be omitted for performance).